{% extends 'base.html' %}

{% block content %}
    <div class="jumbotron">
    {% if not user.is_authenticated %}
        <h5>for detail view you need to login or register</h5>
        <a href="{% url 'login' %}">login</a><br>
        <a href="{% url 'register' %}">register</a><br>
    {% endif %}
    {% if user.is_authenticated %}
        <div>
           {% if messages %}
                <ul class="messages">
                    {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                        {{ message }}
                    </li>
                    {% endfor %}
                </ul>
           {% endif %}
        </div>
        {% for i in module %}
            <p>module name: <h5>{{ i.module }}</h5></p>
            <p>lesson name: <h5>{{ i.name }}</h5></p>
            <p>lesson duration: {{ i.duration }}</p>

            <video controls>
                <source src="{{ MEDIA_URL }}{{i.video}}" type="video/mp4"/>
                Your browser does not support HTML5 video.
            </video>
        {% endfor %}
        {% if not module %}
            no more lesson here
        {% endif %}
    </div>
    {% endif %}
{% endblock %}